| LIRC libraries LinuxInfraredRemoteControl

Data Fields
button_state Struct Reference

`#include <irrecord.h>`

## Data Fields
struct ir_ncode | ncode
char | message [128]
int | retval
char | buffer [BUTTON]
char * | string
lirc_t | data
lirc_t | sum
unsigned int | count
int | flag
int | no_data
int | started_as_root

## Detailed Description

State while recording buttons, privates besides commented.

Definition at line 235 of file irrecord.h.

## Field Documentation

## § message

char button_state::message[128]

Error message, valid on STS_BTN_*_ERROR.

Definition at line 239 of file irrecord.h.

## § ncode

struct ir_ncode button_state::ncode

Recorded button, valid on STS_BTN_BUTTON_DONE.

Definition at line 237 of file irrecord.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/irrecord.h (d408bab 2016-01-06 15:32:15 +0100)